Tasks
All operations require authentication.
List mailing list tasksProduction
List mailing list tasks. Returns the IDs of the pending mailing list tasks of the domain. Filter them by account.
Path parameters
Name of your domain name
Query parameters
Account name
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ task/ mailinglist \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a mailing list taskProduction
Get a mailing list task. Returns the action, the account, the domain, the language and the creation date of the mailing list task.
Path parameters
Name of your domain name
Response
Possible values for mailing list language
deenesfritnlplptExample uses domain = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ task/ mailinglist/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "account": "string", "action": "string", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "language": "de"}
List redirection tasksAlpha
Returns the IDs of the pending redirection tasks of the domain. Filter them by account.
Path parameters
Name of your domain name
Query parameters
Account name
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ task/ redirection \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a redirection taskAlpha
Returns the account, type, action and creation date of the task.
Path parameters
Name of your domain name
Id
Response
Account name of task
Action of task
addchangedeleteCreation date of task
Domain name of task
Id of task
Type of action filter
25galiasdeletefilterforwardresponderExample uses domain = string, id = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ task/ redirection/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "account": "string", "action": "add", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": "string", "type": "25g"}
List email account tasksProduction
List email account tasks. Returns the IDs of the tasks of the email account. Get one to follow its function, status and dates.
Path parameters
Default email for this mailbox
The internal name of your mxplan organization
Response
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Get a task. Returns the function, status, creation date and completion date of the task. The status is todo, doing, done, error or cancelled.
Path parameters
Default email for this mailbox
Task id
The internal name of your mxplan organization
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses email = string, id = 0, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email}/ task/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
List service tasksProduction
List service tasks. Returns the IDs of the tasks of the MX Plan service. Get one to follow its function, status and dates.
Path parameters
The internal name of your mxplan organization
Response
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Get a task. Returns the function, status, creation date and completion date of the task. The status is todo, doing, done, error or cancelled.
Path parameters
Task id
The internal name of your mxplan organization
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses id = 0, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ task/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}